--============================================================================
--  crosswires.lua
--  Copyright (c) 2010; Bamtang Games. All Rights Reserved.
------------------------------------------------------------------------------
require("scripts/style.lua");

MakeDialog {
    name = "screenMessageBox";

    Bitmap {
        name = "bmpBgAlpha";
        image = "gpx/screens/transparent_background";
        x = 0; y = 0;
    };

    wndMove {
        x = kCenter; y = kCenter;
		w = kMax; h = kMax;

		Bitmap {
			x = gDialogTable.x; y = gDialogTable.y;
			image = gDialogTable.image;

			Text {
				font = Font36;
				x = 100; y = 20;
				w = 235; h = 70;
				flags = kHAlignCenter + kVAlignCenter;
				label = gDialogTable.title;
			};

			Text {
				font = Font24;
				x = 25; y = 120;
				w = 375; h = 120;
				flags = kHAlignLeft + kVAlignCenter;
				label = gDialogTable.body;
			};

			SetStyle(PanelButtonStyle);
			Button {
				name = "btnContinue";
				x = 141; y = 215;
				label = "msgbox_continue";
				command =
					function()
						PopModal("screenMessageBox");
						onContinue();
					end
			};
		};
	};
}
